-- Emilio Francesquini <e.francesquini@ufabc.edu.br>
-- CC-BY-SA
-- 11/2020

module Bench where

import qualified FractalSeq as S
import qualified FractalPar as P
import Criterion.Main


main :: IO()
main = defaultMain [
    bgroup "SeqFrac" [bench "SeqFrac" (nfIO $ S.runFractal res)],
    bgroup "ParFrac" [mkParBench i | i <- [1,2,4,8,16,32,64,128]]
  ]
  where
    res = 512
    mkParBench n  = bench ("ParFrac " ++ show n) (nfIO $ P.runFractal res n)
